Index: src/edu/ucsb/nceas/metacat/admin/upgrade/dataone/GenerateORE.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/upgrade/dataone/GenerateORE.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/admin/upgrade/dataone/GenerateORE.java	(revision 8810)
@@ -39,9 +39,9 @@
 import org.apache.commons.io.IOUtils;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
-import org.dataone.client.D1Client;
-import org.dataone.client.MNode;
-import org.dataone.client.ObjectFormatCache;
+import org.dataone.client.v2.itk.D1Client;
+import org.dataone.client.v2.MNode;
+import org.dataone.client.v2.formats.ObjectFormatCache;
 import org.dataone.ore.ResourceMapFactory;
 import org.dataone.service.types.v1.Checksum;
 import org.dataone.service.types.v1.Identifier;
@@ -48,7 +48,7 @@
 import org.dataone.service.types.v1.ObjectFormatIdentifier;
 import org.dataone.service.types.v1.ObjectInfo;
 import org.dataone.service.types.v1.ObjectList;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.types.v1.util.ChecksumUtil;
 import org.dspace.foresite.ResourceMap;
 
@@ -169,7 +169,7 @@
 	        formatId = ObjectFormatCache.getInstance().getFormat("http://www.openarchives.org/ore/terms").getFormatId();
 	        
 	        // get the objects that match
-			ObjectList objectList = mn.listObjects(null, null, null, formatId , null, 0, Integer.MAX_VALUE);
+			ObjectList objectList = mn.listObjects(null, null, null, formatId, null, null, 0, Integer.MAX_VALUE);
 			pids = new ArrayList<Identifier>();
 			for (ObjectInfo o: objectList.getObjectInfoList()) {
 				pids.add(o.getIdentifier());
@@ -214,7 +214,7 @@
 				log.debug("processing ORE pid: " + orePid.getValue());
 
 				// get original SystemMetadata
-				SystemMetadata originalOreSysMeta = mn.getSystemMetadata(orePid);
+				SystemMetadata originalOreSysMeta = mn.getSystemMetadata(null, orePid);
 				
 				// only update the CURRENT revision of the ORE
 				if (originalOreSysMeta.getObsoletedBy() != null || (originalOreSysMeta.getArchived() != null && originalOreSysMeta.getArchived())) {
@@ -223,7 +223,7 @@
 				}
 				
 				// get the original ORE map
-				InputStream originalOreStream = mn.get(orePid);
+				InputStream originalOreStream = mn.get(null, orePid);
 				Map<Identifier, Map<Identifier, List<Identifier>>> originalOre = ResourceMapFactory.getInstance().parseResourceMap(originalOreStream);
 
 				// generate the updated ORE map, in this case we aren't changing any values, just altering the serialization using a newer foresite library
Index: src/edu/ucsb/nceas/metacat/replication/ForceReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/replication/ForceReplicationHandler.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/replication/ForceReplicationHandler.java	(revision 8810)
@@ -336,9 +336,9 @@
 				logReplication.error("ForceReplicationHandler.run - URL error in ForceReplicationHandler.run for server "
 						+ server + " : " + mue.getMessage());
 //				mue.printStackTrace();
-			} catch (IOException io) {
+			} catch (Exception io) {
 		    	logMetacat.error("ForceReplicationHandler.run - " + ReplicationService.METACAT_REPL_ERROR_MSG);
-				logReplication.error("ForceReplicationHandler.run - I/O error in ForceReplicationHandler.run for server "
+				logReplication.error("ForceReplicationHandler.run - Error in ForceReplicationHandler.run for server "
 						+ server + " : " + io.getMessage());
 			}
 		}//for
Index: src/edu/ucsb/nceas/metacat/IdentifierManager.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/IdentifierManager.java	(revision 8810)
@@ -36,7 +36,7 @@
 import java.util.Vector;
 
 import org.apache.log4j.Logger;
-import org.dataone.client.ObjectFormatCache;
+import org.dataone.client.v2.formats.ObjectFormatCache;
 import org.dataone.service.exceptions.BaseException;
 import org.dataone.service.exceptions.InvalidSystemMetadata;
 import org.dataone.service.types.v1.AccessPolicy;
@@ -52,7 +52,7 @@
 import org.dataone.service.types.v1.ReplicationPolicy;
 import org.dataone.service.types.v1.ReplicationStatus;
 import org.dataone.service.types.v1.Subject;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 
 import edu.ucsb.nceas.metacat.accesscontrol.XMLAccessAccess;
 import edu.ucsb.nceas.metacat.database.DBConnection;
@@ -1054,7 +1054,7 @@
         String authoritativeMemberNode, long modifiedDate, String submitter, 
         String guid, String objectFormat, BigInteger size, boolean archived,
         boolean replicationAllowed, int numberReplicas, String obsoletes,
-        String obsoletedBy, BigInteger serialVersion, DBConnection dbConn) throws SQLException  {
+        String obsoletedBy, BigInteger serialVersion, String seriesId, DBConnection dbConn) throws SQLException  {
   
         // Execute the insert statement
         String query = "update " + TYPE_SYSTEM_METADATA + 
@@ -1061,8 +1061,8 @@
             " set (date_uploaded, rights_holder, checksum, checksum_algorithm, " +
             "origin_member_node, authoritive_member_node, date_modified, " +
             "submitter, object_format, size, archived, replication_allowed, number_replicas, " +
-            "obsoletes, obsoleted_by, serial_version) " +
-            "= (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) where guid = ?";
+            "obsoletes, obsoleted_by, serial_version, series_id) " +
+            "= (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) where guid = ?";
         PreparedStatement stmt = dbConn.prepareStatement(query);
         
         //data values
@@ -1082,9 +1082,11 @@
         stmt.setString(14, obsoletes);
         stmt.setString(15, obsoletedBy);
         stmt.setString(16, serialVersion.toString());
+        stmt.setString(17, seriesId);
 
+
         //where clause
-        stmt.setString(17, guid);
+        stmt.setString(18, guid);
         logMetacat.debug("stmt: " + stmt.toString());
         //execute
         int rows = stmt.executeUpdate();
@@ -1207,6 +1209,7 @@
 		    sm.getObsoletes() == null ? null:sm.getObsoletes().getValue(),
 		    sm.getObsoletedBy() == null ? null: sm.getObsoletedBy().getValue(),
 		    sm.getSerialVersion(),
+		    sm.getSeriesId() == null ? null: sm.getSeriesId().getValue(),
 		    dbConn
         );
         
Index: src/edu/ucsb/nceas/metacat/annotation/OrcidService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/annotation/OrcidService.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/annotation/OrcidService.java	(revision 8810)
@@ -106,7 +106,7 @@
 			}
 			
 			MockHttpServletRequest request = new MockHttpServletRequest(null, null, null);
-			InputStream results = MNodeService.getInstance(request ).query("solr", query);
+			InputStream results = MNodeService.getInstance(request ).query(null, "solr", query);
 			Node rootNode = XMLUtilities.getXMLReaderAsDOMTreeRootNode(new InputStreamReader(results, "UTF-8"));
 			//String resultString = XMLUtilities.getDOMTreeAsString(rootNode);
 			NodeList nodeList = XMLUtilities.getNodeListWithXPath(rootNode, "//lst[@name=\"origin\"]/int/@name");
Index: src/edu/ucsb/nceas/metacat/admin/D1Admin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/D1Admin.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/admin/D1Admin.java	(revision 8810)
@@ -31,19 +31,17 @@
 import javax.servlet.http.HttpServletResponse;
 
 import org.apache.log4j.Logger;
-import org.dataone.client.CNode;
-import org.dataone.client.D1Client;
+import org.dataone.client.v2.CNode;
+import org.dataone.client.v2.itk.D1Client;
 import org.dataone.client.auth.CertificateManager;
 import org.dataone.configuration.Settings;
 import org.dataone.service.exceptions.BaseException;
-import org.dataone.service.types.v1.Node;
-import org.dataone.service.types.v1.NodeList;
+import org.dataone.service.types.v2.Node;
+import org.dataone.service.types.v2.NodeList;
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.Session;
 
 import edu.ucsb.nceas.metacat.IdentifierManager;
-import edu.ucsb.nceas.metacat.admin.upgrade.dataone.GenerateORE;
-import edu.ucsb.nceas.metacat.admin.upgrade.dataone.GenerateSystemMetadata;
 import edu.ucsb.nceas.metacat.dataone.MNodeService;
 import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
Index: src/edu/ucsb/nceas/metacat/replication/ReplicationService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/replication/ReplicationService.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/replication/ReplicationService.java	(revision 8810)
@@ -65,10 +65,11 @@
 import org.apache.http.conn.scheme.Scheme;
 import org.apache.http.conn.ssl.SSLSocketFactory;
 import org.apache.log4j.Logger;
-import org.dataone.client.RestClient;
+import org.dataone.client.rest.DefaultHttpMultipartRestClient;
+import org.dataone.client.rest.RestClient;
 import org.dataone.client.auth.CertificateManager;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.DateTimeMarshaller;
 import org.dataone.service.util.TypeMarshaller;
 import org.jibx.runtime.JiBXException;
@@ -1468,6 +1469,15 @@
 							+ me.getMessage());
 			// e.printStackTrace(System.out);
 			errorMsg = me.getMessage();
+		} catch (Exception e) {
+			logReplication
+			.error("ReplicationService.handleGetDocumentRequest - General exception encountered."
+					+ "handlGetDocumentRequest for file: "
+					+ documentPath
+					+ " : "
+					+ e.getMessage());
+			// e.printStackTrace(System.out);
+			errorMsg = e.getMessage();
 		} finally {
             IOUtils.closeQuietly(fos);
             IOUtils.closeQuietly(is);
@@ -2259,7 +2269,7 @@
 	 * @return a string representing the content of the url
 	 * @throws java.io.IOException
 	 */
-	public static String getURLContent(URL u) throws java.io.IOException {
+	public static String getURLContent(URL u) throws Exception {
 		char istreamChar;
 		int istreamInt;
 		// get the response content
@@ -2283,14 +2293,13 @@
 	 * @return a InputStream representing the content of the url
 	 * @throws java.io.IOException
 	 */
-	public static InputStream getURLStream(URL u) throws java.io.IOException {
+	public static InputStream getURLStream(URL u) throws Exception {
 	    logReplication.info("Getting url stream from " + u.toString());
 		logReplication.info("ReplicationService.getURLStream - Before sending request to: " + u.toString());
 		// use httpclient to set up SSL
-		RestClient client = getSSLClient();
-		HttpResponse response = client.doGetRequest(u.toString());
+		DefaultHttpMultipartRestClient client = getSSLClient();
 		// get the response content
-		InputStream input = response.getEntity().getContent();
+		InputStream input = client.doGetRequest(u.toString(), CLIENTTIMEOUT);
 		logReplication.info("ReplicationService.getURLStream - After getting response from: " + u.toString());
 		
 		return input;		
@@ -2301,8 +2310,8 @@
 	 * Sends client certificate to the server when doing the request.
 	 * @return
 	 */
-	private static RestClient getSSLClient() {
-		RestClient client = new RestClient();
+	private static DefaultHttpMultipartRestClient getSSLClient() {
+		DefaultHttpMultipartRestClient client = new DefaultHttpMultipartRestClient();
 		
 		// set up this server's client identity
 		String subject = null;
@@ -2321,7 +2330,7 @@
 		}
 		
 		// set the configured timeout
-		client.setTimeouts(CLIENTTIMEOUT);
+		//client.setTimeouts(CLIENTTIMEOUT);
 
 		SSLSocketFactory socketFactory = null;
 		try {
Index: README
===================================================================
--- README	(revision 8809)
+++ README	(revision 8810)
@@ -8,7 +8,7 @@
 Metacat: XML Metadata and Data Management System
 ------------------------------------------------                      
 
-Version: 2.4.1 Release
+Version: 2.5.0 Release
 
 Send feedback and bugs to: metacat-dev@ecoinformatics.org
                            http://bugzilla.ecoinformatics.org
@@ -54,6 +54,12 @@
 See the file "docs/install.html" for detailed instructions
 for your OS.
 
+Release Notes for 2.5.0:
+------------------------
+This major release adds DataONE V2 API support
+as well as:
+* ......
+
 Release Notes for 2.4.1:
 ------------------------
 This is a patch release that addresses the following:
Index: src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java	(revision 8810)
@@ -44,7 +44,7 @@
 import java.util.Vector;
 
 import org.apache.log4j.Logger;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.DateTimeMarshaller;
 import org.dataone.service.util.TypeMarshaller;
 import org.xml.sax.ContentHandler;
